#ifndef __PIPELINE3D_SETUP_H__
#define __PIPELINE3D_SETUP_H__
#include <cglm/types.h>
#include <stdint.h>
#include <cglm/cglm.h>
#include "../management/elementHeap.h"
#include "data.h"

void createGeometryPass(struct rendering_state *s, struct pipeline3d *p, uint32_t subpassnum);
void createPipeline3d(struct rendering_state *s);
void updateDescriptorSet(struct rendering_state *s);

void createObjTextureDescriptorSet(struct rendering_state *s, struct renderData *data);
void updateObjTextureDescriptorSet(struct rendering_state *s, struct renderData *data);
#endif