#ifndef __COMMADPOOLS_H__
#define __COMMADPOOLS_H__

#include <vulkan/vulkan_core.h>

VkResult svlk_createCommandPool(VkDevice device, int familyindex, int flags, VkCommandPool *commandpool);
VkResult svlk_allocateCommandBuffer(VkDevice device, VkCommandPool cmdpool, int level, int count, VkCommandBuffer *cmdbuffers);
VkResult svlk_recordCommandBuffer(VkCommandBuffer cmdbuf, VkImage image, uint32_t flags);

VkCommandBuffer svlk_createOneTimeCommandBuffer();

VkResult svlk_createSemaphore(VkDevice device, VkSemaphore *semaphore);
VkResult svlk_createFence(VkDevice device, VkFence *fence, VkFenceCreateFlags flags);
#endif