#ifndef __GPUMEM_TYPES_H__
#define __GPUMEM_TYPES_H__
#include <vulkan/vulkan_core.h>

struct gpubuffer {
    VkBuffer buffer;
    VkDeviceMemory memory;
    uint64_t size;
};

struct gpuimage {
    VkImage image;
    VkDeviceMemory memory;
    uint64_t size;
    uint32_t w;
    uint32_t h;
    uint32_t d;
    VkFormat fmt;
    VkImageView view;
    VkSampler sampler;
};

#endif