#ifndef __PIPELINETEXT_PIPELINE_H__
#define __PIPELINETEXT_PIPELINE_H__

#include <vulkan/vulkan_core.h>
#include "../management/elementHeap.h"
#include "../vulkan/gpumem_types.h"

struct pipelineText {
    VkRenderPass renderpass;
    VkDescriptorPool descriptorPool;

    struct elementHeap uniformHeap;
    VkDescriptorSet uniformDescriptorSet;
    struct gpubuffer uniformbuffer;

    VkDescriptorSetLayout uniformDesclayout;
    VkDescriptorSetLayout textureDesclayout;
    VkPipelineLayout layout;

    VkPipeline pipeline;
};

#endif